View Single Post
Old 10-03-04, 02:38 PM   #1
Simkin
Registered User
 
Join Date: Oct 2004
Posts: 3
Question [suse91] rivafb driver conflict (driver install) -SOLVED-

Issue solved

Dear support,

I am experiencing some difficulties installing the latest NVIDIA driver "NVIDIA-Linux-x86-1.0-6111-pkg1.run"

My first problem was that the correct header-files could not be located, so I ran:
"sh NVIDIA-Linux-x86-1.0-6111-pkg1.run --kernel-source-path /usr/src/linux/"
I hope it was the right thing to do (it did bring me a step further).

Now The installer complains about a conflicting module called "rivafb" and when the build processbar reaches the 100% I get an error
Code:
message: ERROR: Unable to build the NVIDIA kernel module.
Some info:
Videocard=Geforce3
System: amd 2000+
Chipset: VIA
uname -r command returns:
"2.6.5-7.108-default"

The listing of my /usr/src/ directory is:
Code:
linux -> linux-2.6.5-7.108
linux-2.6.5-7.108
linux-2.6.5-7.108-obj
linux-obj -> linux-2.6.5-7.108-obj
packages
Help would be greatly appreciated!

The nvidia-installer.log file has been attached to this post as reference (but needed the .txt extention, otherwise the error "invalid file type" was returned)
Attached Files
File Type: txt nvidia-installer.log.txt (5.5 KB, 225 views)

Last edited by Simkin; 10-05-04 at 03:56 AM. Reason: Issue solved
Simkin is offline   Reply With Quote